/* featured courses */
.single-course {
    width: 100%;
    background: var(--clr-white);
    height: 100%;
    box-shadow: var(--box-shadow-light);
    border-radius: var(--radius);
    transition: var(--transition);
}
.single-course:hover {
    transform: translateY(-2px) scale(1.002);
    box-shadow: var(--box-shadow-dark);
}
.single-course .img-container {
    aspect-ratio: 355/250;
    overflow: hidden;
}
.single-course .img-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-top-left-radius: var(--radius);
    border-top-right-radius: var(--radius);
    transition: var(--transition);
}
.single-course .course-title p {
    font-size: 22px;
    text-transform: capitalize;
    text-align: center;
    font-weight: bold;
    color: var(--clr-primary);
    padding-left: 10px;
    padding-right: 10px;
    margin-top: 30px;
    margin-bottom: 30px;
}
@media screen and (min-width: 992px) {
    .single-course .img-container {
        aspect-ratio: 396/300;
    }
    .single-course:hover img {
        transform: scale(1.05) rotateZ(2deg);
    }  
}

/* our campuses section styles */
.each-campus {
    width: 100%;
    border-radius: var(--radius);
    background: var(--clr-white);
    box-shadow: var(--box-shadow-light);
    transition: var(--transition);
}
.each-campus:hover {
    box-shadow: var(--box-shadow-dark);
    transform: translateY(-2px) scale(1.002);
}
.each-campus .img-container {
    aspect-ratio: 355/250;
    position: relative;
}
.each-campus .img-container .share-icon-campus {
    width: 50px;
    height: 50px;
    position: absolute;
    left: 50%;
    bottom: 0%;
    transform: translate(-50%, 50%);
    border-radius: 50%;
    background-color: var(--clr-white);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    transition: var(--transition);
    border: 7px solid var(--clr-pink-light);
}
.each-campus .img-container .share-icon-campus:hover {
    border-color: var(--clr-blue-light);
    background: var(--clr-pink-light);

}
.each-campus .img-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-top-left-radius: var(--radius);
    border-top-right-radius: var(--radius);
}
.each-campus .campus-info {
    margin-top: 50px;
    margin-bottom: 50px;
    padding-left: 10px;
    padding-right: 10px;
}
.each-campus .campus-info .campus-title {
    font-size: 25px;
    text-transform: capitalize;
    color: var(--clr-primary);
    letter-spacing: 1px;
}
.each-campus .campus-info .desc {
    font-size: 16px;
    letter-spacing: 1px;
    margin-top: 25px;
    margin-bottom: 25px;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
.each-campus .campus-info .address {
    font-size: 16px;
    letter-spacing: 1px;
    text-transform: capitalize;
    color: var(--clr-primary);
}
@media screen and (min-width:992px) {
    .each-campus .img-container {
        aspect-ratio: 396/250;
    }
}

/* our facilites styles */
.each-facility {
    width: 100%;
    background: var(--clr-white);
    box-shadow: var(--box-shadow-light);
    transition: var(--transition);
    border-radius: var(--radius);
}
.each-facility:hover {
    transform: translateY(2px) scale(1.002);
    box-shadow: var(--box-shadow-dark);
}

.each-facility .img-container {
    aspect-ratio: 355/250;
    overflow: hidden;
}
.each-facility .img-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-top-right-radius: var(--radius);
    border-top-left-radius: var(--radius);
}
.each-facility .facility-info .facility-title 
{
    font-size: 22px;
    color: var(--clr-primary);
    text-transform: capitalize;
    letter-spacing: 1px;
}
.each-facility .facility-info .facility-desc {
    font-size: 16px;
    letter-spacing: 1px;
    font-weight: bold;
    padding-left: 10px;
    padding-right: 10px;
    margin-top: 25px;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}